package controllers;

import java.net.URL;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Map;
import java.util.ResourceBundle;

import javafx.collections.ObservableList;
import javafx.fxml.FXML;
import javafx.scene.control.TableView;
import javafx.scene.layout.Pane;

public class LDTabController extends AtgController {

	@FXML Pane LDButtonPane;
	@FXML Pane LDResultPane;
	@FXML private TableView<Map<String, Object>> racesTable;

	final SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
	ObservableList<Map<String, Object>> tableRaces;

	@Override
	public void initialize(URL arg0, ResourceBundle arg1) {
		super.initialize(arg0, arg1);

		todaysRaces = DatabaseController.getInstance().getTodaysRaces("ld", simpleDateFormat.format(new Date()), true);
		updateRacesTable();
	}

	@FXML
	public void GetTodaysRacesAction() {
		//		if (racesTable.getItems().size() <= 0) { // Hämta statistik från ATG för hästnamn och från travsport för data
		//		AtgParser.getInstance().getTodaysStartsFromATG("ld");
		//		}
		todaysRaces = DatabaseController.getInstance().getTodaysRaces("LD", simpleDateFormat.format(new Date()), true);
		updateRacesTable();
	}

}
